package prolog.ast.arithmetic

interface Number: Expression {
    val value: kotlin.Number

    fun plus(other: Number): Number
    fun minus(other: Number): Number
    fun times(other: Number): Number
    fun div(other: Number): Number
}